## mail-expire 0.9

=== Makefile ===

DATE=$(shell date +%Y-%m-%d)
PACKAGE=mail-expire
VERSION=$(shell head -n1 debian/changelog | cut -f2 -d'(' | cut -f1 -d')')

all: $(PACKAGE).1

$(PACKAGE).1: $(PACKAGE)
	pod2man --center="User Commands" --date="$(DATE)" --errors="none" \
		--fixed="CW" \
		--fixedbold="CB" \
		--fixeditalic="CI" \
		--fixedbolditalic="CX" \
		--nourls \
		--release="$(PACKAGE) $(VERSION)" \
		--section="1" \
		$< $@

## mail-expire 0.4

=== debian/changelog ===
mail-expire (0.4) unstable; urgency=low

  * updated manpage, now enough... closes: #159566
  * catch the undefined output of Date calculation, closes: #162484

 -- Eduard Bloch <blade@debian.org>  Fri, 27 Sep 2002 20:03:38 +0200

mail-expire (0.3) unstable; urgency=low

  * Option to drop old messages and new target dir (closes: #159566). Rewrote
    the option parser.
  * Description improvement (closes: #159341)

 -- Eduard Bloch <blade@debian.org>  Wed,  4 Sep 2002 12:07:30 +0200

mail-expire (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Aug 2002 15:39:37 +0200

=== debian/control ===
Source: mail-expire
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: mail-expire
Architecture: all
Depends: libcompress-zlib-perl, libdate-calc-perl
Description: Utility to extract outdated messages from mbox files
 mail-expire is a small and fast script that scans mbox files for messages
 that are older than given maximum age and moves them to another (compressed)
 mailbox file or just deletes them.

## mail-expire 0.5

=== debian/changelog ===
mail-expire (0.5) unstable; urgency=low

  * Woot, I did really not expect to need to change anything on this package
    before the Sarge release...
  * s/utility which/tool whose/ in the manpage, closes: #279274
  * workaround for a possible failure in a case which is very unlikely to
    happen (missing date in the initial line), closes: #300895
  * cosmetic changes in debian/control and debian/copyright

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 19:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1.1
 
 Package: mail-expire
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/mail-expire.sgml > mail-expire.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/mail-expire.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/mail-expire
	cp mail-expire debian/mail-expire/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/mail-expire.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mail-expire 0.6

=== debian/changelog ===
mail-expire (0.6) unstable; urgency=low

  * making code more robust: using Getopt for arguments,
    Mail::Mbox::MessageParser for input reading, and "strict"
  * diff size calculation removed, was incorrect anyways
  * various updates, Standards-Version, debhelper level

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Nov 2005 19:22:09 +0100

=== debian/control ===
Source: mail-expire
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.2.1

Package: mail-expire
Architecture: all
Depends: ${perl:Depends}, libcompress-zlib-perl, libdate-calc-perl, libmail-mbox-messageparser-perl
Description: Utility to extract outdated messages from mbox files
 mail-expire is a small and fast script that scans mbox files for messages
 that are older than given maximum age and moves them to another (compressed)
 mailbox file or just deletes them.

## mail-expire 0.7

=== debian/changelog ===
mail-expire (0.7) unstable; urgency=high

  * Consider the alternative object identification to make sure
    Mail::Mbox::MessageParser::Perl is created correctly which changed with
    libmail-mbox-messageparser-perl (1.4005-2) or so

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Feb 2007 23:56:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (>> 3.0.0)
+Standards-Version: 3.7.2
 
 Package: mail-expire
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
-
 
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -84,7 +80,7 @@
 	dh_fixperms
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
+	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## mail-expire 0.7ubuntu1

=== debian/changelog ===
mail-expire (0.7ubuntu1) zesty; urgency=medium

  * debian/compat: Bump to 10.
  * debian/control:
    - Build-depend on debhelper (>= 10).
    - Depend on ${misc:Depends}.
  * debian/rules: Convert to minimal dh sequencer.
  * debian/source/format: Indicate 3.0 (native) format.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Jan 2017 00:18:19 -0500

=== debian/control ===
Source: mail-expire
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.7.2

Package: mail-expire
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libcompress-zlib-perl, libdate-calc-perl, libmail-mbox-messageparser-perl
Description: Utility to extract outdated messages from mbox files
 mail-expire is a small and fast script that scans mbox files for messages
 that are older than given maximum age and moves them to another (compressed)
 mailbox file or just deletes them.

## mail-expire 0.8

=== debian/changelog ===
mail-expire (0.8) unstable; urgency=low

  [ Logan Rosen / Ubuntu ]
  * debian/compat: Bump to 10.
  * debian/control:
    - Build-depend on debhelper (>= 10).
    - Depend on ${misc:Depends}.
  * debian/rules: Convert to minimal dh sequencer.
  * debian/source/format: Indicate 3.0 (native) format.

  [ Eduard Bloch]
  * Updating standards to 3.9.8 (no further changes)

 -- Eduard Bloch <blade@debian.org>  Wed, 11 Jan 2017 23:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mail-expire
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.7.2
+Standards-Version: 3.9.8
 
 Package: mail-expire
 Architecture: all

## mail-expire 0.8+nmu1

=== debian/changelog ===
mail-expire (0.8+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:47:56 +0800

## mail-expire 0.9

=== debian/changelog ===
mail-expire (0.9) unstable; urgency=low

  * Converted manpage to POD and updated it
  * Code refactoring, added verbosity control
  * Added support of xz or other stream compressors through customizable
    output delivery command (opened in lazy mode)
  * Better (more transaction like) handling of appended compressed output,
    more safe in cases where the operation is aborted due to internal or
    external reasons
  * Added lockfile handling to protest against incoming messages from procmail
  * Added Dry-Run mode
  * Picking the freshest timestamp from the usual fields for evaluation
  * Changed format of date suffix to <YEAR>_<MONTH> (integers)
  * Relicensed the script to MIT (basically all contributed code is now gone)
  * Packaging update: latest standards (4.5.2), package description (for the
    new functionality), copyright file (DEP5 and new license), removing
    obsolete dependencies

 -- Eduard Bloch <blade@debian.org>  Mon, 21 Dec 2020 16:01:28 +0100

mail-expire (0.0-0.2) UNRELEASED; urgency=low

  * Aggregated changelog from previous experimental versions as following.
    This entry was added in 0.9 cleanup work in December 2020.

  [Johannes Kolb ]

  * use Date::Calc instead of Date::Manip to increase performance
  * no buffering of whole mailbox-files in memory

  [ by Florian Krohs <krohs@uni.de> ]

  * append old mails to mailbox.month_year.gz
  * added zlib to free some space]

  [ Eduard Bloch <blade@debian.org> ]

  * small hack to vary the output filename to prevent overwritting
  * some cosmetics, fixed typos
  * dropped silly size comparison, trust return values of syswrite

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Aug 2002 15:39:37 +0200

=== debian/control ===
Source: mail-expire
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.5.1

Package: mail-expire
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libmail-mbox-messageparser-perl
Description: Utility to extract outdated messages from mail folders
 mail-expire is a tool which scans mail folders (Maildir or mbox files) for
 messages that are older than given maximum age and moves them to another
 (compressed) mbox file or just deletes them.

## mail-expire 0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
 
-DATE=$(shell date +%Y-%m-%d)
+DATE_FMT = +%Y-%m-%d
+ifdef SOURCE_DATE_EPOCH
+    DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
+else
+    DATE ?= $(shell date "$(DATE_FMT)")
+endif
 PACKAGE=mail-expire
 VERSION=$(shell head -n1 debian/changelog | cut -f2 -d'(' | cut -f1 -d')')

=== debian/changelog ===
mail-expire (0.9.1) unstable; urgency=low

  * Reproducible build fix (thanks to Chris Lamb, closes: #978010)
  * Adding salsa VCS URLs
  * Bugfix: Maildir processor considered an input folder empty where only one
    of new/ or cur/ subdirs was empty
  * Explicit --purge option to control the behavior of the removal of the old
    Mbox/Maildir when empty
  * Fix incorrect changelog entry before (standards version is 4.5.1)
  * Consider empty files in Maildir expired/old mails

 -- Eduard Bloch <blade@debian.org>  Fri, 01 Jan 2021 18:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 10)
 Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/blade/mail-expire.git
+Vcs-Browser: https://salsa.debian.org/blade/mail-expire
 
 Package: mail-expire
 Architecture: all

## mail-expire 0.9.2

=== debian/changelog ===
mail-expire (0.9.2) unstable; urgency=low

  * Fixing SYNOPSIS in the manpage (closes: 1019215, 422926)
  * New option: output suffix format string (grouping by week or similar
    manually specifiable patterns)
  * New compressor preset for Zstandard (not default for now)

 -- Eduard Bloch <blade@debian.org>  Mon, 03 Apr 2023 21:02:28 +0200

## mail-expire 0.9.2%2Bnmu1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 all: $(PACKAGE).1
 
-$(PACKAGE).1: $(PACKAGE)
+$(PACKAGE).1: $(PACKAGE) debian/changelog
 	pod2man --center="User Commands" --date="$(DATE)" --errors="none" \
 		--fixed="CW" \
 		--fixedbold="CB" \

## mail-expire 0.9.2+nmu1

=== debian/changelog ===
mail-expire (0.9.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1038127)

 -- Paul Gevers <elbrus@debian.org>  Thu, 15 Jun 2023 21:10:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/blade/mail-expire.git
 Vcs-Browser: https://salsa.debian.org/blade/mail-expire
 
 Package: mail-expire
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, libmail-mbox-messageparser-perl
+Recommends: zstd
 Description: Utility to extract outdated messages from mail folders
  mail-expire is a tool which scans mail folders (Maildir or mbox files) for
  messages that are older than given maximum age and moves them to another

## mail-expire 0.9.2+nmu1build1

=== debian/changelog ===
mail-expire (0.9.2+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 19:29:02 +0000
